URL structure
{orgId} is the ID of an organization and {labelId} is the ID of one of this organization’s classifications.
Supported methods and overview
GET- used to retrieve information about a classification (specified bylabelId) configured in an organization (specified byorgId).DELETE- used to delete an existing classification (specified bylabelId) in an organization (specified byorgId).
Both of these methods take no parameters.
Detailed description
This API endpoint serves a number of purposes:-
Retrieves information about a classification (specified by
labelId) configured in an organization (specified byorgId). A classification’s ID can be obtained by calling theGETmethod of the <access-service>/api/v1/organisations/{orgId}/labels API endpoint, which retrieves a list of information for all classifications configured in an organization (specified byorgId).
Tip: All information (except the description member) returned in the response from aGETmethod call to this API endpoint is also returned in the response from aGETmethod call to the <access-service>/api/v1/organisations/{orgId}/labels endpoint. Therefore, if you do not require a classification’s description when retrieving information about the classification, there is no need to call theGETmethod on this API endpoint. -
Deletes an existing classification (specified by
labelId) from an organization (specified byorgId).
Important: Deleting a classification also removes:
Be aware that by design and for security reasons, it is not possible to edit any aspect of a classification.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Organization administrator, Originator, Collaborator, Ad hoc - using the
GETmethod, when this user is a member of the organization specified by the{orgId}of the request’s URL. - Organization administrator - using the
DELETEmethod, when this user is a member of the organization specified by the{orgId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful GET requests only, a JSON-formatted response containing the following members is also returned:
- id - The ID of the classification.
- name - The name of the classification.
- description - The description of the classification.
- priority - The current priority value, which is used for sorting classifications from highest (i.e. a priority integer value of 1) through to the lowest priority (i.e. the highest priority integer value, which equals the total number of all classifications defined in an organization).
-
applyI18n - .
Example (response):

